Roomba Connectivity Broken

I posted about my home assistant instance not loading here:

I believe it must be Roomba integration that took my site down, but I’m not sure why. Anyway, so long as it is disabled the site works fine (minus Roomba stuff of course).

So…I tried to set up the Roomba again from scratch. I tried using the instructions here again:

But I get a very similar error as what I get when I try to start home assistant with Roomba enabled. It appears my Roomba (i7) was updated on 9/27…possible this has broken all integrations? Anyone else having issues?

Error when I try getpassword:

Connection Error [Errno 104] Connection reset by peer                           
Traceback (most recent call last):                                              
  File "getpassword.py", line 39, in <module>                                   
    main()                                                                      
  File "getpassword.py", line 36, in main                                       
    Password(arg.roombaIP,file=arg.configfile)                                  
  File "/Roomba980-Python/roomba/password.py", line 39, in __init__             
    self.get_password()                                                         
  File "/Roomba980-Python/roomba/password.py", line 136, in get_password        
    wrappedSocket.send(packet)                                                  
  File "/usr/local/lib/python3.7/ssl.py", line 986, in send                     
    return super().send(data, flags)                                            
BrokenPipeError: [Errno 32] Broken pipe

Anybody? Bueller?

Nobody?

Anybody else have a Roomba? Is it still working for them? Nobody else has ever had a similar issue? No other trouble shooting steps?

Not one sole can be bothered to even reply?

I continue to be underwhelmed by this self professed great community.

Hi,

Just integrated my Roomba with HA 3 days ago without issue: SW version is 3.3.47+77 as reported by HA.

I’ve found a huge battery drain with HA integration during cleaning and I’m sadly considering to remove the integration.

Thanks for the reply. I’m not sure what has changed on my end…shouldn’t be much, but maybe it is just me.

As to battery drain, I never noticed that when I did have it integrated. But then again most of my jobs are half hour or less, so maybe I didn’t have enough runtime to hit the issue?

I use the roomba integration without issues. I just restarted HA a couple days ago and it came up no problem and able to control my roomba from it. I do remember having issues with getting my roomba integrated similar to what you posted. Unfortunately I don’t know what worked. Since I use Docker for HA, the instructions weren’t straight forward for me. Also I have not seen an issue with battery drain, however I do know Roomba released a firmware update that fixed some battery issues as well as increased runtime at least on the Roomba 690.

Wooow really? This isn’t a commercial product, this is an open source community! People work on this project in their free time.

To your problem can you please post your config for the roomba component? How did you try to get the BLID and Password?

How I did it with the method from this site:

  1. Install node.js and node package manager
    sudo apt-get install nodejs npm

  2. Clone repo
    git clone https://github.com/koalazak/dorita980.git

  3. install Dorita
    cd dorita980
    npm install

  4. Get Password
    npm run getpassword ip-of-your-roomba
    Press two small buttons on the Roomba at the same time until it beeps
    Press any key in the terminal, terminal should now show BLID and password

That’s great, but don’t call it a great community when 90% of posts go unanswered. Great devs? Maybe, but that doesn’t make a great community.

Anyway, yes, I had it working for months by using the python version of the script as linked in my OP, but now trying the same method the results are as in my OP. I’ve tried both rebooting the Roomba and updating hass and keep getting the same result.

My config is pretty vanilla:

vacuum:
  - platform: roomba
    host: 192.168.2.216
    username: !secret roomba_user
    password: !secret roomba_password

As I said, that worked fine before, but now if I enable that config then my home assistant instance doesn’t even load.

Silly question and my apologies if it’s been stated already, but is there a chance your roomba changed IP addresses?

Where you have this number from? That’s just made up. I always received help here.

You said the Roomba had an update recently? Could also be possible that they blocked the access to your Roomba with this update. I completely blocked internet access to the Roomba for exactly this reason.
Are you able to retrieve the BLID and password from your Roomba since the update?

Personal experience. My posts rarely get replies, much less any help. It’s frustrating.

The IP is static for the MAC at the router, so it’s good. That post did remind me I have blocked some IPs from entering my network recently, but turned that rule off and still got the same error.

Yes, it’s quite possible Roomba did something to block access, which is partially why I posted. But I don’t know why they would just do my device. Seems no one else is having a similar issue.

No, I have not had any connection to the Roomba since the update, from home assistant or from the BLID/password script. getpassword returns:

Connection Error [Errno 104] Connection reset by peer                           
Traceback (most recent call last):                                              
  File "getpassword.py", line 39, in <module>                                   
    main()                                                                      
  File "getpassword.py", line 36, in main                                       
    Password(arg.roombaIP,file=arg.configfile)                                  
  File "/Roomba980-Python/roomba/password.py", line 39, in __init__             
    self.get_password()                                                         
  File "/Roomba980-Python/roomba/password.py", line 136, in get_password        
    wrappedSocket.send(packet)                                                  
  File "/usr/local/lib/python3.7/ssl.py", line 986, in send                     
    return super().send(data, flags)                                            
BrokenPipeError: [Errno 32] Broken pipe

I think it’s probably that most users (myself included) block the access to the Internet for the Roomba, so that the firmware doesn’t get updated.

The broken pipe error is normally due to the Roomba blocking access.
Can you please tell me the firmware version of your Roomba?

3.0.11

Didn’t know about blocking access, but anyway I do like to use Alexa to give commands, which I guess wouldn’t work.

I don’t have Alexa but there is no reason why blocking access to the internet for the Roomba should disable the ability to control it via Alexa.

For me it looks like the Firmware update broke the connectivity. Try to get in contact with the developer of the Roomba python script you are using, maybe he is able to help. This is a Roomba problem and not a HA problem.

Well, when somehow not being able to connect to the Roomba causes HA not to load at all, that at least would seem to be a HA problem.

But anyway, thanks for trying, I’ll keep digging. Meanwhile, I’ve set up a template vacuum based on date/time which at least mimics some of the same functionality.

Yeah you are right it should still start.

What do you mean with you setup a template vacuum?

I saw now in your other post that you linked, that you have multiple template errors. If you remove the Roomba component and restart you don’t get any errors right?
Could you please post the log from when you start home assistant with the roomba component added.

I mean, I just did this in order to get some (but not all) of my automations around Roomba pseudo-working again:

vacuum:
  - platform: template
    vacuums:
      roomba:
        entity_id: sensor.time
        value_template: >
          {% if (now().weekday() == 6 or now().weekday() == 2) and now().hour == 20 %}
            cleaning
          {% else %}
            idle
          {% endif %}
        start:
          service: automation.trigger
          entity_id: automation.roomba_light_on
        stop:
          service: automation.trigger
          entity_id: automation.roomba_light_off

Correct, no errors if Roomba (the true one) is enabled, but if I enable it and restart, the following mess happens with HA never loading…

2019-10-18 20:08:54 WARNING (MainThread) [homeassistant.components.http.auth] legacy_api_password support has been enabled.
2019-10-18 20:08:57 ERROR (SyncWorker_12) [pyHS100.discover] Got exception Communication error
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/pyHS100/smartdevice.py", line 117, in _query_helper
    request=request,
  File "/usr/local/lib/python3.7/site-packages/pyHS100/protocol.py", line 60, in query
    length = struct.unpack(">I", chunk[0:4])[0]
struct.error: unpack requires a buffer of 4 bytes

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/pyHS100/discover.py", line 57, in discover
    devices[ip] = device_class(ip)
  File "/usr/local/lib/python3.7/site-packages/pyHS100/smartstrip.py", line 43, in __init__
    children = self.sys_info["children"]
  File "/usr/local/lib/python3.7/site-packages/pyHS100/smartdevice.py", line 186, in sys_info
    return defaultdict(lambda: None, self.get_sysinfo())
  File "/usr/local/lib/python3.7/site-packages/pyHS100/smartdevice.py", line 196, in get_sysinfo
    return self._query_helper("system", "get_sysinfo")
  File "/usr/local/lib/python3.7/site-packages/pyHS100/smartdevice.py", line 120, in _query_helper
    raise SmartDeviceException('Communication error') from ex
pyHS100.smartdevice.SmartDeviceException: Communication error
2019-10-18 20:09:05 ERROR (SyncWorker_12) [roomba.roomba.Roomba] Error: [Errno 104] Connection reset by peer 
2019-10-18 20:09:05 WARNING (MainThread) [homeassistant.loader] You are using a custom integration for files which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you do experience issues with Home Assistant.
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.core] Error executing service <ServiceCall google.found_calendar (<obfuscated>): kind=calendar#calendarListEntry, etag="<obfuscated>", id=<obfuscated>@group.calendar.google.com, summary=TV Auto Tune, description=For Auto Tuning TV, timeZone=America/New_York, colorId=24, backgroundColor=#a47ae2, foregroundColor=#000000, accessRole=owner, defaultReminders=[], conferenceProperties=allowedConferenceSolutionTypes=['eventHangout'], track=False>
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/core.py", line 1241, in _safe_execute
    await self._execute_service(handler, service_call)
  File "/usr/src/homeassistant/homeassistant/core.py", line 1260, in _execute_service
    await self._hass.async_add_executor_job(handler.func, service_call)
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.setup] Error during setup of component tts
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 167, in _async_setup_component
    hass, processed_config
  File "/usr/src/homeassistant/homeassistant/components/tts/__init__.py", line 179, in async_setup
    await asyncio.wait(setup_tasks)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 389, in wait
    return await _wait(fs, timeout, return_when, loop)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 482, in _wait
    await waiter
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.core] Error executing service <ServiceCall group.set (<obfuscated>): object_id=all_devices, visible=False, name=all devices, entities=[]>
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/core.py", line 1241, in _safe_execute
    await self._execute_service(handler, service_call)
  File "/usr/src/homeassistant/homeassistant/core.py", line 1258, in _execute_service
    await handler.func(service_call)
  File "/usr/src/homeassistant/homeassistant/components/group/__init__.py", line 238, in locked_service_handler
    await groups_service_handler(service)
  File "/usr/src/homeassistant/homeassistant/components/group/__init__.py", line 267, in groups_service_handler
    **extra_arg,
  File "/usr/src/homeassistant/homeassistant/components/group/__init__.py", line 488, in async_create_group
    await component.async_add_entities([group], True)
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 252, in async_add_entities
    await asyncio.wait(tasks)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 389, in wait
    return await _wait(fs, timeout, return_when, loop)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 482, in _wait
    await waiter
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.components.climate] Error while setting up platform ecobee
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 150, in _async_setup_platform
    await asyncio.wait_for(asyncio.shield(task), SLOW_SETUP_MAX_WAIT)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 435, in wait_for
    await waiter
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.setup] Error during setup of component switch
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 566, in run_until_complete
    self.run_forever()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 534, in run_forever
    self._run_once()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 1771, in _run_once
    handle._run()
  File "/usr/local/lib/python3.7/asyncio/events.py", line 88, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/src/homeassistant/homeassistant/components/roomba/vacuum.py", line 108, in async_setup_platform
    await hass.async_add_job(roomba.connect)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/roomba/roomba.py", line 283, in connect
    sys.exit(1)
SystemExit: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 167, in _async_setup_component
    hass, processed_config
  File "/usr/src/homeassistant/homeassistant/components/switch/__init__.py", line 68, in async_setup
    await component.async_setup(config)
  File "/usr/src/homeassistant/homeassistant/helpers/entity_component.py", line 121, in async_setup
    await asyncio.wait(tasks)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 389, in wait
    return await _wait(fs, timeout, return_when, loop)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 482, in _wait
    await waiter
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.components.sensor] Error while setting up platform files
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 566, in run_until_complete
    self.run_forever()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 534, in run_forever
    self._run_once()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 1771, in _run_once
    handle._run()
  File "/usr/local/lib/python3.7/asyncio/events.py", line 88, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/src/homeassistant/homeassistant/components/roomba/vacuum.py", line 108, in async_setup_platform
    await hass.async_add_job(roomba.connect)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/roomba/roomba.py", line 283, in connect
    sys.exit(1)
SystemExit: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 150, in _async_setup_platform
    await asyncio.wait_for(asyncio.shield(task), SLOW_SETUP_MAX_WAIT)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 435, in wait_for
    await waiter
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.components.sensor] Error while setting up platform time_date
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 566, in run_until_complete
    self.run_forever()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 534, in run_forever
    self._run_once()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 1771, in _run_once
    handle._run()
  File "/usr/local/lib/python3.7/asyncio/events.py", line 88, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/src/homeassistant/homeassistant/components/roomba/vacuum.py", line 108, in async_setup_platform
    await hass.async_add_job(roomba.connect)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/roomba/roomba.py", line 283, in connect
    sys.exit(1)
SystemExit: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 150, in _async_setup_platform
    await asyncio.wait_for(asyncio.shield(task), SLOW_SETUP_MAX_WAIT)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 435, in wait_for
    await waiter
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.setup] Error during setup of component sensor
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 566, in run_until_complete
    self.run_forever()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 534, in run_forever
    self._run_once()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 1771, in _run_once
    handle._run()
  File "/usr/local/lib/python3.7/asyncio/events.py", line 88, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/src/homeassistant/homeassistant/components/roomba/vacuum.py", line 108, in async_setup_platform
    await hass.async_add_job(roomba.connect)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/roomba/roomba.py", line 283, in connect
    sys.exit(1)
SystemExit: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 167, in _async_setup_component
    hass, processed_config
  File "/usr/src/homeassistant/homeassistant/components/sensor/__init__.py", line 54, in async_setup
    await component.async_setup(config)
  File "/usr/src/homeassistant/homeassistant/helpers/entity_component.py", line 121, in async_setup
    await asyncio.wait(tasks)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 389, in wait
    return await _wait(fs, timeout, return_when, loop)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 482, in _wait
    await waiter
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.setup] Error during setup of component light
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 566, in run_until_complete
    self.run_forever()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 534, in run_forever
    self._run_once()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 1771, in _run_once
    handle._run()
  File "/usr/local/lib/python3.7/asyncio/events.py", line 88, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/src/homeassistant/homeassistant/components/roomba/vacuum.py", line 108, in async_setup_platform
    await hass.async_add_job(roomba.connect)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/roomba/roomba.py", line 283, in connect
    sys.exit(1)
SystemExit: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 167, in _async_setup_component
    hass, processed_config
  File "/usr/src/homeassistant/homeassistant/components/light/__init__.py", line 261, in async_setup
    await component.async_setup(config)
  File "/usr/src/homeassistant/homeassistant/helpers/entity_component.py", line 121, in async_setup
    await asyncio.wait(tasks)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 389, in wait
    return await _wait(fs, timeout, return_when, loop)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 482, in _wait
    await waiter
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.core] Error executing service <ServiceCall group.set (<obfuscated>): object_id=all_scripts, name=all scripts, visible=False, entities=['script.home_audio_annoucement', 'script.kuna_image_notification', 'script.roomba_status_announcement', 'script.tv_browse_select', 'script.tv_browse_start', 'script.tv_browse_stop', 'script.becca_button_for_light', 'script.becca_button_for_music']>
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 566, in run_until_complete
    self.run_forever()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 534, in run_forever
    self._run_once()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 1771, in _run_once
    handle._run()
  File "/usr/local/lib/python3.7/asyncio/events.py", line 88, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/src/homeassistant/homeassistant/components/roomba/vacuum.py", line 108, in async_setup_platform
    await hass.async_add_job(roomba.connect)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/roomba/roomba.py", line 283, in connect
    sys.exit(1)
SystemExit: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/core.py", line 1241, in _safe_execute
    await self._execute_service(handler, service_call)
  File "/usr/src/homeassistant/homeassistant/core.py", line 1258, in _execute_service
    await handler.func(service_call)
  File "/usr/src/homeassistant/homeassistant/components/group/__init__.py", line 237, in locked_service_handler
    async with service_lock:
  File "/usr/local/lib/python3.7/asyncio/locks.py", line 92, in __aenter__
    await self.acquire()
  File "/usr/local/lib/python3.7/asyncio/locks.py", line 192, in acquire
    await fut
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.components.light] Error while setting up platform flux_led
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 566, in run_until_complete
    self.run_forever()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 534, in run_forever
    self._run_once()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 1771, in _run_once
    handle._run()
  File "/usr/local/lib/python3.7/asyncio/events.py", line 88, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/src/homeassistant/homeassistant/components/roomba/vacuum.py", line 108, in async_setup_platform
    await hass.async_add_job(roomba.connect)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/roomba/roomba.py", line 283, in connect
    sys.exit(1)
SystemExit: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 150, in _async_setup_platform
    await asyncio.wait_for(asyncio.shield(task), SLOW_SETUP_MAX_WAIT)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 435, in wait_for
    await waiter
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.components.sensor] Error while setting up platform command_line
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 566, in run_until_complete
    self.run_forever()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 534, in run_forever
    self._run_once()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 1771, in _run_once
    handle._run()
  File "/usr/local/lib/python3.7/asyncio/events.py", line 88, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/src/homeassistant/homeassistant/components/roomba/vacuum.py", line 108, in async_setup_platform
    await hass.async_add_job(roomba.connect)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/roomba/roomba.py", line 283, in connect
    sys.exit(1)
SystemExit: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 150, in _async_setup_platform
    await asyncio.wait_for(asyncio.shield(task), SLOW_SETUP_MAX_WAIT)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 435, in wait_for
    await waiter
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.components.sensor] Error while setting up platform version
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 566, in run_until_complete
    self.run_forever()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 534, in run_forever
    self._run_once()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 1771, in _run_once
    handle._run()
  File "/usr/local/lib/python3.7/asyncio/events.py", line 88, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/src/homeassistant/homeassistant/components/roomba/vacuum.py", line 108, in async_setup_platform
    await hass.async_add_job(roomba.connect)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/roomba/roomba.py", line 283, in connect
    sys.exit(1)
SystemExit: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 150, in _async_setup_platform
    await asyncio.wait_for(asyncio.shield(task), SLOW_SETUP_MAX_WAIT)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 435, in wait_for
    await waiter
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [custom_components.kuna] Error while authenticating Kuna: 
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.components.sensor] Error while setting up platform command_line
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 566, in run_until_complete
    self.run_forever()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 534, in run_forever
    self._run_once()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 1771, in _run_once
    handle._run()
  File "/usr/local/lib/python3.7/asyncio/events.py", line 88, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/src/homeassistant/homeassistant/components/roomba/vacuum.py", line 108, in async_setup_platform
    await hass.async_add_job(roomba.connect)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/roomba/roomba.py", line 283, in connect
    sys.exit(1)
SystemExit: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 150, in _async_setup_platform
    await asyncio.wait_for(asyncio.shield(task), SLOW_SETUP_MAX_WAIT)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 435, in wait_for
    await waiter
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.core] Error executing service <ServiceCall google.scan_for_calendars (c:79cefcfd25174cea91db7b440247756a)>
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 566, in run_until_complete
    self.run_forever()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 534, in run_forever
    self._run_once()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 1771, in _run_once
    handle._run()
  File "/usr/local/lib/python3.7/asyncio/events.py", line 88, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/src/homeassistant/homeassistant/components/roomba/vacuum.py", line 108, in async_setup_platform
    await hass.async_add_job(roomba.connect)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/roomba/roomba.py", line 283, in connect
    sys.exit(1)
SystemExit: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/core.py", line 1241, in _safe_execute
    await self._execute_service(handler, service_call)
  File "/usr/src/homeassistant/homeassistant/core.py", line 1260, in _execute_service
    await self._hass.async_add_executor_job(handler.func, service_call)
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.components.sensor] Error while setting up platform template
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 566, in run_until_complete
    self.run_forever()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 534, in run_forever
    self._run_once()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 1771, in _run_once
    handle._run()
  File "/usr/local/lib/python3.7/asyncio/events.py", line 88, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/src/homeassistant/homeassistant/components/roomba/vacuum.py", line 108, in async_setup_platform
    await hass.async_add_job(roomba.connect)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/roomba/roomba.py", line 283, in connect
    sys.exit(1)
SystemExit: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 150, in _async_setup_platform
    await asyncio.wait_for(asyncio.shield(task), SLOW_SETUP_MAX_WAIT)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 435, in wait_for
    await waiter
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.components.sensor] Error while setting up platform files
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 566, in run_until_complete
    self.run_forever()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 534, in run_forever
    self._run_once()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 1771, in _run_once
    handle._run()
  File "/usr/local/lib/python3.7/asyncio/events.py", line 88, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/src/homeassistant/homeassistant/components/roomba/vacuum.py", line 108, in async_setup_platform
    await hass.async_add_job(roomba.connect)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/roomba/roomba.py", line 283, in connect
    sys.exit(1)
SystemExit: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 150, in _async_setup_platform
    await asyncio.wait_for(asyncio.shield(task), SLOW_SETUP_MAX_WAIT)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 435, in wait_for
    await waiter
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.components.sensor] Error while setting up platform command_line
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 566, in run_until_complete
    self.run_forever()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 534, in run_forever
    self._run_once()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 1771, in _run_once
    handle._run()
  File "/usr/local/lib/python3.7/asyncio/events.py", line 88, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/src/homeassistant/homeassistant/components/roomba/vacuum.py", line 108, in async_setup_platform
    await hass.async_add_job(roomba.connect)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/roomba/roomba.py", line 283, in connect
    sys.exit(1)
SystemExit: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 150, in _async_setup_platform
    await asyncio.wait_for(asyncio.shield(task), SLOW_SETUP_MAX_WAIT)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 435, in wait_for
    await waiter
concurrent.futures._base.CancelledError
2019-10-18 20:09:06 ERROR (MainThread) [homeassistant.components.sensor] Error while setting up platform command_line
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 566, in run_until_complete
    self.run_forever()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 534, in run_forever
    self._run_once()
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 1771, in _run_once
    handle._run()
  File "/usr/local/lib/python3.7/asyncio/events.py", line 88, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/src/homeassistant/homeassistant/components/roomba/vacuum.py", line 108, in async_setup_platform
    await hass.async_add_job(roomba.connect)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/roomba/roomba.py", line 283, in connect
    sys.exit(1)
SystemExit: 1




…had to cut it in half because it’s too long. Let me know if you need more.

Ugh, and maybe not related at all…but now I’m also having issues with my Ecobee integration. A few times when I update it refuses to come back up giving me issues about the token. I can get it to come back up by removing and adding the integration back in.

…adding to frustration.